Subject: bug#17085: closed (Re: bug#16694: bugs #16694/#16378: Patches)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Apr 2014 07:53:14 +0000

Your bug report

#16434: No dark backgrounds in git emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16434: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16434
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16694: bugs #16694/#16378: Patches
From: Eli Zaretskii <[email-masked]>
To: Matthias Dahl <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 05 Apr 2014 10:52:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 02 Apr 2014 17:04:19 +0200
> From: Matthias Dahl <[email-masked]>
> CC: Clemens Schüller
>  <[email-masked]>, [email-masked], 
>  Stefan Monnier <[email-masked]>,
>  Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Like promised, attached revised versions of my first three patches which
> had a nasty and very embarrassing bug/brain-fart as well as a potential
> fix for bug #16434.
> 
> I'd appreciate testing and any feedback, so that we (as in who ever is
> in charge and can do this) commit this for the pretest. :)

Thanks.  I applied to the emacs-24 branch the first 2 patches, the
part of the 3rd patch that does not introduce backward
incompatibilities, and the 4th patch you sent in a later message.
Please confirm that the result will DTRT.  Meanwhile, I'm marking
those bugs as "done".

In the future, please also provide ChangeLog entries for the changes
that could be dropped into the respective ChangeLog files.  TIA.

The incompatible part of the 3rd patch, reproduced below, remains
uncommitted.  I understand the motivation for it, but the emacs-24
branch shouldn't introduce incompatible changes at this time.  If
Stefan agrees with applying this part to the trunk, I will do that.

============================================================
Backwards incompatible change: make-face previously accepted
no-init-from-resources as an optional parameter which has now
been removed. There were no other users within Emacs itself. And this
parameter shouldn't have been there in the first place, imho.

diff --git a/lisp/faces.el b/lisp/faces.el
index 8536c08..28205d2 100644
--- a/lisp/faces.el
+++ b/lisp/faces.el
@@ -149,13 +149,10 @@ REGISTRY, ALTERNATIVE1, ALTERNATIVE2, and etc."
   "Return a list of all defined faces."
   (mapcar #'car face-new-frame-defaults))
 
-(defun make-face (face &optional no-init-from-resources)
+(defun make-face (face)
   "Define a new face with name FACE, a symbol.
 Do not call this directly from Lisp code; use `defface' instead.
-
-If NO-INIT-FROM-RESOURCES is non-nil, don't initialize face
-attributes from X resources.  If FACE is already known as a face,
-leave it unmodified.  Return FACE."
+If FACE is already known as a face, leave it unmodified.  Return FACE."
   (interactive (list (read-from-minibuffer
 		      "Make face: " nil nil t 'face-name-history)))
   (unless (facep face)
@@ -166,8 +163,7 @@ leave it unmodified.  Return FACE."
     (when (fboundp 'facemenu-add-new-face)
       (facemenu-add-new-face face))
     ;; Define frame-local faces for all frames from X resources.
-    (unless no-init-from-resources
-      (make-face-x-resource-internal face)))
+    (make-face-x-resource-internal face))
   face)
 
 (defun make-empty-face (face)
@@ -175,7 +171,7 @@ leave it unmodified.  Return FACE."
 Do not call this directly from Lisp code; use `defface' instead."
   (interactive (list (read-from-minibuffer
 		      "Make empty face: " nil nil t 'face-name-history)))
-  (make-face face 'no-init-from-resources))
+  (make-face face))
 
 (defun copy-face (old-face new-face &optional frame new-frame)
   "Define a face named NEW-FACE, which is a copy of OLD-FACE.

Subject: No dark backgrounds in git emacs
From: Clemens Schüller <[email-masked]>
To: emacs bugs <[email-masked]>
Date: Mon, 24 Mar 2014 14:25:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Usually I compile my emacs from git sources:

Now i changed my color theme from leuven to cyberpunk. Leuven has a
white background, cyberpunk a black one.

In my case i can see the black background for a very short time an then
it is white again.

The only remedy for this error is to start emacs with die -Q option or
to install an emacs from the repo of my os. But this emacs is very
outdated:

--8<---------------cut here---------------start------------->8---
GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.8.6) of 2013-11-11 on orion
--8<---------------cut here---------------end--------------->8---

How can I fix this error?

-- 
Best Regards, Clemens Schüller